#pragma once
#include <glad/gles2.h>

struct AHardwareBuffer;

class ExternalTexture
{
    GLuint texture = 0;
public:
    bool create(AHardwareBuffer* hardwareBuffer);
    void destroy();
    void bind() const;
    void unbind() const;
    GLuint texture_id() const;
};
